Cyberduck Mountain Duck CLI

#5324 closed defect (worksforme)

directory listing doesn't refresh after dropping an item from Windows Explorer

Reported by: rotero Owned by:
Priority: normal Milestone: 4.0b5
Component: core Version: 4.0b4
Severity: normal Keywords:
Cc: Architecture:
Platform: Windows 7

Description

Steps to reproduce: Traverse into a directory in the Browser window. Drag an item from Windows Explorer into the directory. Wait for the transfer to complete.

Expected behavior: After the transfer completes, the Browser refreshes to show the new contents of the directory.

Actual behavior: After the transfer completes, the Browser does not refresh and does not show the new contents of the directory. Choosing the Refresh command forces the Browser to update and show the new item.

Change History (6)

comment:1 Changed on Oct 14, 2010 at 4:19:36 PM by rotero

This is probably related to issue #5319 (creating a new directory doesn't automatically refresh the browser).

comment:2 Changed on Oct 14, 2010 at 4:56:33 PM by dkocher

  • Milestone set to 4.0b5

comment:3 Changed on Oct 22, 2010 at 10:49:46 PM by gmichelson

Observed same behaviour on Windows 7/SFTP over SSH to Linux host

comment:4 Changed on Nov 1, 2010 at 2:35:14 PM by yla

  • Resolution set to fixed
  • Status changed from new to closed

In r7450.

comment:5 follow-up: Changed on Nov 12, 2010 at 9:35:16 PM by rotero

  • Resolution fixed deleted
  • Status changed from closed to reopened

I can still reproduce this with 4.0b6. I dragged a ZIP file into a closed folder into the browser and waited for the transfer to complete. When I clicked the disclosure triangle to open the folder, the file did not appear. Choosing the Refresh command caused the file to appear.

comment:6 in reply to: ↑ 5 Changed on Nov 12, 2010 at 9:41:34 PM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

Replying to rotero:

I can still reproduce this with 4.0b6. I dragged a ZIP file into a closed folder into the browser and waited for the transfer to complete. When I clicked the disclosure triangle to open the folder, the file did not appear. Choosing the Refresh command caused the file to appear.

A folder not expanded is intentionally not refreshed and is expected to require a manual reload.

Note: See TracTickets for help on using tickets.
swiss made software